<?php
/// 3020.ru - скрипты тут и там. качай на халяву бро.

	$db_host = 'localhost'; # Ваш хост бд *по умолчанию localhost
	$db_user = 'client1230_flowap1'; # Ваш пользователь бд
	$db_password = '1D4w4P8x'; # Ваш пароль от бд
	$db_user_name = 'client1230_flowap1'; # Ваше имя бд
	$db_error = 'Нет соединения с бд'; # будет писать если не подключена бд
	$db_alert = 'бд не найдена'; # будет писать если бд не создана
	
	
	
	if(!($db=@mysql_connect(''.$db_host.'', ''.$db_user.'',''.$db_password.''))){ echo ''.$db_error.''; exit; }
	if (!@mysql_select_db(''.$db_user_name.'',$db)){ echo ''.$db_alert.''; exit; }

	mysql_query('set charset utf8',$db); 
	mysql_query('SET names utf8',$db); 
	mysql_query('set character_set_client="utf8"',$db); 
	mysql_query('set character_set_connection="utf8"',$db); 
	mysql_query('set character_set_result="utf8"',$db);

	# Оптимизация бд
	function db_optimize(){
	time_limit(20);
	$tab=mysql_query('SHOW TABLES');
		while ($tables=mysql_fetch_array($tab)){
		mysql_query("OPTIMIZE TABLE `$tables[0]`");
		}
	}
?>